/* Pointer dereference, address-of operator, -> notation */
#include <iostream>

int main() {
  std::string a = "My name";
  std::string* b = new std::string("My other name");

  std::cout << a << std::endl;
  std::cout << *b << std::endl;

  std::string* c = &a;

  // standard dereference
  std::cout << (*c).substr(0, 2) << std::endl;

  // pointer notation
  std::cout << c->substr(0, 2) << std::endl;

  delete b;

  return 0;
}

